%define upstream_name    IPC-SRLock
%define upstream_version 0.19.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast) >= 0.310.0
BuildRequires: perl(Class::Null) >= 1.90.0
BuildRequires: perl(Data::Serializer) >= 0.460.0
BuildRequires: perl(Date::Format) >= 2.220.0
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(File::DataClass::Types)
BuildRequires: perl(IO::AtomicFile) >= 2.110.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IPC::ShareLite) >= 0.170.0
BuildRequires: perl(List::Util) >= 1.190.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Moo)
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(Storable) >= 2.150.0
BuildRequires: perl(Test::More) >= 0.740.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::Elapsed) >= 0.100.0
BuildRequires: perl(Time::HiRes) >= 1.971.100
BuildRequires: perl(Try::Tiny) >= 0.60.0
BuildRequires: perl(Unexpected::Types)
BuildRequires: perl(namespace::sweep)
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl(version) >= 0.740.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.19.1-2.mga4
+ Revision: 534734
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.19.1-1.mga4
+ Revision: 478682
- update to 0.19.1

* Thu Sep 12 2013 sander85 <sander85> 0.18.1-1.mga4
+ Revision: 478025
- update to 0.18.1

* Sun Sep 08 2013 sander85 <sander85> 0.16.1-1.mga4
+ Revision: 476082
- update to 0.16.1

* Mon Aug 19 2013 sander85 <sander85> 0.14.3-1.mga4
+ Revision: 467799
- update to 0.14.3

* Wed Aug 14 2013 sander85 <sander85> 0.14.1-1.mga4
+ Revision: 466416
- update to 0.14.1

* Wed Aug 07 2013 sander85 <sander85> 0.13.3-1.mga4
+ Revision: 464451
- update to v0.13.3

* Wed Aug 07 2013 sander85 <sander85> 0.13.2-1.mga4
+ Revision: 464341
- update to v0.13.2

* Tue Aug 06 2013 sander85 <sander85> 0.13.1-1.mga4
+ Revision: 464273
- update to v0.13.1

* Sun Aug 04 2013 sander85 <sander85> 0.12.7-1.mga4
+ Revision: 463468
- update to v0.12.7

* Fri Aug 02 2013 sander85 <sander85> 0.12.6-1.mga4
+ Revision: 462683
- update to v0.12.6

* Wed Jul 31 2013 sander85 <sander85> 0.12.5-1.mga4
+ Revision: 461443
- update to v0.12.5

* Tue Jul 30 2013 sander85 <sander85> 0.12.4-1.mga4
+ Revision: 460977
- update to v0.12.4

* Mon Jul 29 2013 sander85 <sander85> 0.12.3-1.mga4
+ Revision: 460645
- update to v0.12.3

* Sun Jul 28 2013 sander85 <sander85> 0.12.2-1.mga4
+ Revision: 459982
- update to v0.12.2

* Sun Jan 13 2013 umeabot <umeabot> 0.8.205-2.mga3
+ Revision: 368644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.8.205-1.mga3
+ Revision: 317616
- update to 0.8.205

* Sun Oct 21 2012 jquelin <jquelin> 0.8.199-1.mga3
+ Revision: 308884
- adding missing buildrequires:
- imported package perl-IPC-SRLock


* Sun Oct 21 2012 cpan2dist 0.8.199-1mga
- initial mageia release, generated with cpan2dist
